Package docking.widgets.table.constraint

# Class MappedColumnConstraint.DelegateColumnData

java.lang.Object
docking.widgets.table.constraint.MappedColumnConstraint.DelegateColumnData

All Implemented Interfaces:
  `ColumnData<M>`

Enclosing class:
  MappedColumnConstraint<T,M>

protected class MappedColumnConstraint.DelegateColumnData extends Object implements ColumnData<M>
Class for converting a ColumnDataSource<T> to a ColumnDataSource<W> to be used when getting the editor for the delegateColumnConstraint<W>.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DelegateColumnData(ColumnData<T> columnDataSource)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnName()`
  Returns the name of the column being filtered.
  `M`
  `getColumnValue(int row)`
  Returns the column value for the given row.
  `int`
  `getCount()`
  Returns the number of column values (unfiltered table row count)
  `Object`
  `getTableDataSource()`
  Returns the table's DataSource.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DelegateColumnData

    public DelegateColumnData(ColumnData<T> columnDataSource)
    Constructor
    Parameters:
      `columnDataSource` - theColumnDataSource<T> whose T data will be converted to W data for the delegate editor.

- ## Method Details

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `ColumnData`
    Returns the name of the column being filtered.
    Specified by:
      `getColumnName` in interface `ColumnData<M>`
    Returns:
      the name of the column being filtered.

  - ### getCount

    public int getCount()
    Description copied from interface: `ColumnData`
    Returns the number of column values (unfiltered table row count)
    Specified by:
      `getCount` in interface `ColumnData<M>`
    Returns:
      the number of column values (unfiltered table row count)

  - ### getColumnValue

    public M getColumnValue(int row)
    Description copied from interface: `ColumnData`
    Returns the column value for the given row.
    Specified by:
      `getColumnValue` in interface `ColumnData<M>`
    Parameters:
      `row` - the row for which to get the column value.
    Returns:
      the column value for the given row.

  - ### getTableDataSource

    public Object getTableDataSource()
    Description copied from interface: `ColumnData`
    Returns the table's DataSource.
    Specified by:
      `getTableDataSource` in interface `ColumnData<M>`
    Returns:
      the table's DataSource.